Bug 143798 - Time format setting not used by email summary pane
Time format setting not used by email summary pane
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
6
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-28 05:46 EST by Peter Verthez
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-04 20:48:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Verthez 2004-12-28 05:46:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
You can set the time format (12 hour or 24 hour) via
Tools->Settings...->Calendar and Tasks->Time format.

However, the email summary pane keeps showing the Date when
an email arrived using the AM/PM format when the time format
is set to 24 hour.


Version-Release number of selected component (if applicable):
evolution-2.0.2-3

How reproducible:
Always

Steps to Reproduce:
1. Go to Tools->Settings...->Calendar and Tasks
2. Set Time format to '24 hour' and click 'Close'
3. Go back to the email summary pane.
    

Actual Results:  The Dates of emails are shown using AM/PM format,
e.g. 5:11 PM.

Expected Results:  The Dates of emails should be shown using 24 hour
format, i.e. 17:11.

Additional info:
Comment 1 Sitsofe Wheeler 2004-12-28 16:20:56 EST
I belive that the format follows whatever your locale sets (my mail summary pane
shows times using a 24 hour clock). Typing locale at a terminal and looking at the 
LC_TIME= row tells you what it is currently set to.

However the setting you altered was for Calendar and Tasks (not email)... 
Tampering with how dates and times etc. are shown to the user ideally needs to
be a single GNOME-wide setting (for those cases where the user doesn't want to
follow their locale).
Comment 2 Sitsofe Wheeler 2004-12-28 16:24:36 EST
Might be related to http://bugzilla.ximian.com/show_bug.cgi?id=5137
(Configurable date formats in components) - evo2 requests appear to be dup'd
against it.
Comment 3 Peter Verthez 2004-12-28 17:48:15 EST
You seem to be right about LC_TIME.  If I start evolution as follows:

 LC_TIME="nl_BE"; evolution

then the time is shown in 24-hour format.

But the fact remains that this is not very consistent.  I agree with you
that a single GNOME-wide setting would be a good solution.
Comment 4 Sitsofe Wheeler 2006-06-06 15:03:24 EDT
Peter:

Is this still here in FC5? If so you might want to update the version of this bug...
Comment 5 Peter Verthez 2006-06-07 13:59:26 EDT
I don't know, because I haven't upgraded to FC5 yet (I plan to do so in a month
or so).  It is definitely there in FC4.
Comment 6 Matthew Miller 2006-07-10 16:11:54 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Peter Verthez 2006-09-10 12:51:48 EDT
I've tested it in FC6 test 2 (using evolution 2.7.4-4), and it still has
the same problem.

I've updated the Version info
Comment 8 Sitsofe Wheeler 2006-12-22 10:28:52 EST
Attempting to get this out of NEEDINFO...
Comment 9 Matthew Miller 2007-04-06 12:08:54 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 10 Peter Verthez 2007-04-07 14:39:20 EDT
Still the same behaviour in FC6 (evolution-2.8.3-1.fc6)
Comment 11 Matthew Miller 2007-04-07 14:43:05 EDT
Thanks for the update. This is probably more likely to get action if moved
upstream....
Comment 12 Matthew Barnes 2007-10-04 20:48:45 EDT
The "Calendar and Tasks" setting is only for calendars and tasks.  Sitsofe is
correct in comment #2 that email times are formatted according to your current
locale.

Since this is by design I'm closing this as NOTABUG.  If you still feel this is
a design flaw, you can file a bug upstream at http://bugzilla.gnome.org/.

Note You need to log in before you can comment on or make changes to this bug.